import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_error_widget.g.dart';

@ComponentCopyWithExtension()
class CustomErrorWidget extends ErrorComponent with $CustomErrorWidgetCWMixin {
  const CustomErrorWidget({super.key, super.details});

  @override
  Widget build(BuildContext context) => ColoredBox(
        color: Colors.red,
        child: Center(child: Text(details?.data ?? 'Error')),
      );
}
